読者です 読者をやめる 読者になる 読者になる

痛風とシステム障害を恐れるエンジニアのブログ

趣味のことだったり仕事に関することだったりを徒然なるままに。webとかオープン系の会社で働いてます。お仕事の依頼お待ちしておりまーす。

Python3.4の環境にdjango-social-authを入れてみる。

SNSとの連携を容易に実現するために「django-social-auth」をインストールしてみます。
とりあえずは何も考えずに

pip install django-social-auth

と入力すると

print "unable to find version in %s" % (VERSIONFILE,)

SyntaxError: invalid syntax

とこんなエラーが。
これよくわかってないのですが、確かこの書き方ってPython2の書き方のような・・・。
pipってその辺のバージョンの整合性とかちゃんと考えてくれるんでないの??(@@)
まぁ入らないので、色々と調べてみたらpypi.python.org
こちらにPython3ようのを発見。

pip install django-social-auth3

としたところ、無事にインストールできた。

動作確認はこれから。
なかなか奥が深いですね。